be.ehealth.businessconnector.mycarenet.agreement.builders.impl

## Class EncryptedRequestObjectBuilderImpl

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.agreement.builders.impl.EncryptedRequestObjectBuilderImpl

- All Implemented Interfaces:
    RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class EncryptedRequestObjectBuilderImpl
      extends Object
      implements RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

  See Also:
    `RequestObjectBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptedRequestObjectBuilderImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `<T extends AgreementBuilderRequest> void` | `build(boolean isTest, InputReference references, Patient patientInfo, org.joda.time.DateTime refDate, byte[] messageFHIR, T requestBuilder)`
    `AskAgreementBuilderRequest` | `buildAskAgreementRequest(boolean isTest, InputReference reference, Patient patientInfo, org.joda.time.DateTime refDate, byte[] messageFHIR)` Creates the request that will be sent to the EHealth Web service and checks validity against the corresponding XSD
    `ConsultAgreementBuilderRequest` | `buildConsultAgreementRequest(boolean isTest, InputReference reference, Patient patientInfo, org.joda.time.DateTime refDate, byte[] messageFHIR)`
    `static byte[]` | `buildXades(String id, byte[] contentToSign)`
    `boolean` | `equals(Object obj)`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptedRequestObjectBuilderImpl

          public EncryptedRequestObjectBuilderImpl()

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### buildAskAgreementRequest

          public AskAgreementBuilderRequest buildAskAgreementRequest(boolean isTest,
                                                                     InputReference reference,
                                                                     Patient patientInfo,
                                                                     org.joda.time.DateTime refDate,
                                                                     byte[] messageFHIR)
                                                              throws TechnicalConnectorException,
                                                                     AgreementBusinessConnectorException

      Description copied from interface: `RequestObjectBuilder`
      Creates the request that will be sent to the EHealth Web service and checks validity against the corresponding XSD
      Specified by:
        `buildAskAgreementRequest` in interface `RequestObjectBuilder`
      Parameters:
        `isTest` - indicates if this is a test or not
        `reference` - the reference of the the patient
        `messageFHIR` - the xml who ll be transformed in b64 and maybe encrypted
      Returns:
        the request that need to be sent
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `AgreementBusinessConnectorException` - the Agreement Business connector exception

    - #### buildConsultAgreementRequest

          public ConsultAgreementBuilderRequest buildConsultAgreementRequest(boolean isTest,
                                                                             InputReference reference,
                                                                             Patient patientInfo,
                                                                             org.joda.time.DateTime refDate,
                                                                             byte[] messageFHIR)
                                                                      throws TechnicalConnectorException,
                                                                             AgreementBusinessConnectorException

      Specified by:
        `buildConsultAgreementRequest` in interface `RequestObjectBuilder`
      Throws:
        `TechnicalConnectorException`
        `AgreementBusinessConnectorException`

    - #### build

          public <T extends AgreementBuilderRequest> void build(boolean isTest,
                                                                InputReference references,
                                                                Patient patientInfo,
                                                                org.joda.time.DateTime refDate,
                                                                byte[] messageFHIR,
                                                                T requestBuilder)
                                                         throws TechnicalConnectorException,
                                                                AgreementBusinessConnectorException

      Throws:
        `TechnicalConnectorException`
        `AgreementBusinessConnectorException`

    - #### buildXades

          public static byte[] buildXades(String id,
                                          byte[] contentToSign)
                                   throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PHYSIOTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.